#!/usr/bin/perl -w
#
# $Id: fallback.pl,v 1.5 2003/01/17 19:26:52 mpeppler Exp $

use strict;

use Sybase::Simple;

my $props = { CON_PROPS => { CS_SYB_CHARSET => 'utf8'}};

my $dbh = new Sybase::Simple 'sa', 'secret', 'ZOD', $0, $props;
$dbh->ExecSql("use payment_db");
$dbh->ExecSql("set textsize 1500000");

$|++;
$" = '!~~!';

while(<>) {
    chomp;
    my ($table, @cols) = split(/\s*%%\s*/, $_);
    print "Processing table $table\n";
    my $sql = "select * from $table where\n";
    foreach my $c (@cols) {
	my ($name, $val) = ($c =~ /([\w_]+)\s+=\s*(.*)/);
	if(!$val) {
	    print "Undefined value for $name ($c)\n";
	    next;
	}
	if($val =~ /\D/) {
	    $sql .= " $name > '$val' or";
	} else {
	    $sql .= " $name > $val or";
	}
    }
    $sql =~ s/or$//;
#    print "$sql\n";
    my $rows = $dbh->ArrayOfArray($sql);
    open(OUT, ">$table.bcp") || die "Can't open $table.bcp: $!";
    foreach my $r (@$rows) {
	print OUT "@$r(**)\n";
    }
    close(OUT);
}
