#!/usr/bin/perl -w
#
# $Id: payments_audit_bcp.pl,v 1.1 2002/12/10 00:48:03 mpeppler Exp $

use strict;

use Sybase::CTlib;

$|++;

my $props = { CON_PROPS => { CS_SYB_CHARSET => 'utf8'}};
my $db1 = new Sybase::CTlib 'sa', 'secret', 'JOREL', undef, $props;
#my $db2 = new Sybase::CTlib 'sa', 'secret', 'JOREL', undef, $props;


$db1->ct_sql("use payment_db");

$" = '!~~!';
local $^W = 0;
my $restype;

my @skip = ([1101955, 222214],
	    [2187160, 979062],
	    [2367946, 1272113],
	    [2391770, 1260864],
	    [2391770, 1260875],
	    [2391770, 1260876],
	    [2391770, 1260877],
	    [2391770, 1284802],
	    [2391770, 1284803],
	    [2391770, 1284804]);

my $sql = "
select * from Payments_audit
 where 
\n";

foreach (@skip) {
    $sql .= "(paymentId != $_->[0] or (paymentId = $_->[0] and audit_sequence != $_->[1]))
and ";
}

$sql =~ s/and\s*$//;
#$sql .= "\norder by paymentId, audit_sequence\n";

my $ret = $db1->ct_execute($sql);

my $found = 0;
while(($ret = $db1->ct_results($restype)) == CS_SUCCEED) {
    next unless $db1->ct_fetchable($restype);
    while(my @arr = $db1->ct_fetch()) {
	++$found;
	print "@arr(**)\n";
	warn "Got $arr[3] $arr[0]\n";
    }
}
warn "$0: processed $found rows\n";


