#!/bin/bash
#
# $Id: run.sh,v 1.1 2002/12/10 15:35:10 mpeppler Exp $

echo "Copy data out"
time ./bcp_all.pl >bcp_all.out 2>&1
echo "Drop indexes"
for i in /sybase/generalzod/scripts/Schema/indexes/*.drop; do
	sqsh -Usa -Psecret -SGENERALZOD -Dpayment_db -i $i
done
echo "Drop triggers"
./drop_trigs.pl >drop_trigs.out 2>&1

echo "Drop text indexes"
./drop_text_indexes.pl >drop_text_indexes.out 2>&1

echo "Copy data in"
# Delete any existing foo.err files so that we know what errors
# occured during *this* load.
rm -f *.err
time ./bcp_all_in.pl >bcp_all_in.out 2>&1
echo "Create indexes"
for i in /sybase/generalzod/scripts/Schema/indexes/*.index; do
        sqsh -Usa -Psecret -SGENERALZOD -Dpayment_db -i $i
done
echo "Create triggers"
for i in /sybase/generalzod/scripts/Schema/trigs/*.sql; do
        sqsh -Usa -Psecret -SGENERALZOD -Dpayment_db -i $i
done

echo "Create text indexes"
./create_text_indexes.pl >create_text_indexes.out 2>&1


