#!/usr/bin/perl -w
#
# $Id: bcp_all.pl,v 1.2 2002/12/12 22:08:32 mpeppler Exp $

use strict;

use Sybase::Simple;

my $dbh = new Sybase::Simple 'sa', 'secret', 'JOREL';
$dbh->ExecSql("use payment_db");
my $tables = $dbh->ArrayOfScalar("
select name from sysobjects
 where type = 'U'
   and name not like 'rs_%'
   and sysstat2 & 1024 != 1024
");


my %pl_tables = (Payments_audit=>'payments_audit_bcp.pl',
		 Payments => 'payments_bcp.pl',
		 VendorInfoAudit => 'vendorInfoAudit_bcp.pl',
		 Blurbs => 'blurbs_bcp.pl',
		 TFYP_event => 'tfyp_event_bcp.pl');

my $text_size = 1500000;


foreach my $tab (@$tables) {
    my $start = time;
    my $start_str = localtime($start);
    warn "Processing $tab ($start_str)\n";
    if($pl_tables{$tab}) {
	system("./$pl_tables{$tab} >$tab.bcp 2>$tab.log");
    } else {
	my $server = 'JOREL';
#	if($tab eq 'VendorCalcs') {
#	    $server = 'LUTHOR';
#	}
	system("bcp payment_db..$tab out $tab.bcp -c -t'!~~!' -r'(**)\n' -Usa -Psecret -S$server -Jutf8 -T$text_size >$tab.log 2>&1");
    }
    my $tot = time - $start;
    warn "$tab done in $tot seconds (exit code $?)\n";
}


