#!/usr/bin/perl -w
#
# $Id: bcp_all_in.pl,v 1.3 2002/12/18 01:25:47 mpeppler Exp $

use strict;

use Sybase::Simple;

my $dbh = new Sybase::Simple 'sa', 'secret', 'GENERALZOD';
$dbh->ExecSql("use payment_db");

opendir(DIR, ".") || die "Can't opendir: $!";

my $file;
my $text_size = 1500000;

$|++;

while($file = readdir(DIR)) {
    next unless $file =~ /(.+)\.bcp$/;
    my $tab = $1;
    next if $tab =~ /_index$/;   # skip text server proxy tables.
    print STDERR "Processing $tab\n";
    $dbh->ExecSql("truncate table $tab");
    
    my $start = time;
    my $identity = "";
    $identity = "-E" if(grep($tab eq $_, qw(kagi_text_events pureAddress text_events)));
    if($tab eq 'MailMessage') {
	system("mailmsg_in.pl >$tab.in.log 2>&1");
    } else {
	system("bcp payment_db..$tab in $tab.bcp -c -t'!~~!' -r'(**)\n' -Usa -Psecret -SGENERALZOD -Jutf8 $identity -e$tab.err -b1000 -T$text_size >$tab.in.log 2>&1");
    }
    $dbh->ExecSql("dump tran payment_db with truncate_only");
    my $tot = time - $start;
    print STDERR "Loading $tab took $tot seconds (exit code $?)\n";
}


