#!/usr/bin/perl -w
#
# $Id: drop_trigs.pl,v 1.1 2002/12/10 00:48:03 mpeppler Exp $

use strict;

use Sybase::Simple;

my $dbh = new Sybase::Simple 'sa', 'secret', 'GENERALZOD';

$dbh->ExecSql("use payment_db");
my $triggs = $dbh->ArrayOfHash("
select name
     , 'instrig' = object_name(instrig)
     , 'deltrig' = object_name(deltrig)
     , 'updtrig' = object_name(updtrig)
   from payment_db..sysobjects where type = 'U'");

foreach my $row (@$triggs) {
#    print "$row->{name} $row->{instrig} $row->{updtrig} $row->{deltrig}\n";
#    next;

    if($row->{instrig}) {
	$dbh->ExecSql("drop trigger $row->{instrig}");
    }
    if($row->{deltrig}) {
	$dbh->ExecSql("drop trigger $row->{deltrig}");
    }
    if($row->{updtrig}) {
	$dbh->ExecSql("drop trigger $row->{updtrig}");
    }
}


